cleanup, remove vpn stuff
[automated-distro-installer] / chboot
diff --git a/chboot b/chboot
index 0e3b506ebc7cdabe40c0cb3bd8d90eec41a93e3c..609b41dc758b1f49dd51736d58d570a6ef5a2104 100755 (executable)
--- a/chboot
+++ b/chboot
@@ -7,10 +7,12 @@
 # DISTRO_NAME is based on the partition names in /boot. eg boot_debianjessie
 
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 [[ $EUID == 0 ]] || exec sudo "$BASH_SOURCE" "$@"
 
+
+###### begin command line parsing #####
 reboot=true
 while [[ $1 == -* ]]; do
     case $1 in
@@ -23,20 +25,25 @@ done
 
 distro=$1
 
-###### end command line parsing #####
-
 if [[ ! $distro ]]; then
     echo "available distros:"
     btrfs subvolume list /boot | sed -rn 's/^.*boot_(.*)/\1/p'
     exit 0
 fi
 
+###### end command line parsing #####
+
+
+#### begin initial error checking #####
+
 if ! btrfs subvolume list /boot | grep "_$distro$" &>/dev/null; then
     echo "$0: error: _$distro$ not found in btrfs subvolume list /boot:"
     btrfs subvolume list /boot
     exit 1
 fi
 
+#### end initial error checking #####
+
 e() { echo "$@"; "$@"; }
 
 boot_dev=$(mount | sed -rn "s#^(\S+) on /boot .*#\1#p")
@@ -56,5 +63,6 @@ e umount $mount_point
 e rmdir $mount_point
 
 if $reboot; then
+    systemctl stop keyscriptoff.service
     reboot now
 fi